import { isMobile, isBrowser } from 'react-device-detect'

import { Metadata } from '@redwoodjs/web'

import ProjectsShowcaseCell from 'src/components/Project/ProjectsShowcaseCell'

const ProjectsPage = () => {
  return (
    <>
      <Metadata title="Projects" />

      <div className="hero min-h-48">
        <div className="hero-content">
          <div className="max-w-md text-center">
            <h1 className="text-5xl font-bold">Projects</h1>
            <p className="py-6">
              {isBrowser && !isMobile ? 'Click' : 'Tap'} on a project for
              details
            </p>
          </div>
        </div>
      </div>

      <ProjectsShowcaseCell />
    </>
  )
}

export default ProjectsPage
